// 列表行数据
export interface IFieldRow {
    id: number
    tableDesc: string
    tableName: string
    tableRemark: string
    version?: number
}

// 新增字段的类型
export interface IField {
    fieldName: string
    fieldDesc: string
    fieldLength: string
    fieldType: number
}

// 分页查询参数
export interface IFieldPage {
    current: number
    size: number
    keyWord?: string
}

// 业务表
export interface IBusiness {
    id?: 0
    serviceNo: string
    serviceName: string
    orderNo?: number
    classifyId?: number
    tableName?: string
    pageTemplate?: string
    pageType: number
    isEnabled: number
}

// 业务分类
export interface IBusinessType {
    id?: number
    taskCode: string
    taskId: number
    taskName: string
}
